<?php
	/**
	 *	All functions, actions and filters to customize the Gallery
	 */

	function gardener_gallery_image( $image, $id, $cols )
	{
		$sizes = (array)tempo_cfgs::get( 'images-size' );
		$image = '';

		// One Column
		if( $cols == 1 ){
			$m_defaul 	= wp_get_attachment_image_src( $id , 'tempo-classic' );
			$m_gallery 	= wp_get_attachment_image_src( $id , 'tempo-gallery' );
			$m_767 		= wp_get_attachment_image_src( $id , 'tempo-767' );
			$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );
			$m_520 		= wp_get_attachment_image_src( $id , 'tempo-520' );
			$m_420 		= wp_get_attachment_image_src( $id , 'tempo-420' );
			$m_315 		= wp_get_attachment_image_src( $id , 'tempo-315' );

			$image .= '<img src="' . esc_url( $m_defaul[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" srcset="';

			if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
				$image .= esc_url( $m_defaul[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-gallery' ] ) && isset( $sizes[ 'tempo-gallery' ][ 'width' ] ) )
				$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-gallery' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
				$image .= esc_url( $m_767[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-small' ] ) && isset( $sizes[ 'tempo-small' ][ 'width' ] ) )
				$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-small' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-520' ] ) && isset( $sizes[ 'tempo-520' ][ 'width' ] ) )
				$image .= esc_url( $m_520[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-520' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-420' ] ) && isset( $sizes[ 'tempo-420' ][ 'width' ] ) )
				$image .= esc_url( $m_420[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-420' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-315' ] ) && isset( $sizes[ 'tempo-315' ][ 'width' ] ) )
				$image .= esc_url( $m_315[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-315' ][ 'width' ] ) . 'w';

			$image .= '" sizes="(max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';
		}

		// 2 Columns
		else if( $cols == 2 ){

			$m_gallery 	= wp_get_attachment_image_src( $id , 'tempo-gallery' );
			$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );
			$m_420 		= wp_get_attachment_image_src( $id , 'tempo-420' );
			$m_315 		= wp_get_attachment_image_src( $id , 'tempo-315' );


			$image .= '<img src="' . esc_url( $m_gallery[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" srcset="';

			if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
				$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
				$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-420' ] ) && isset( $sizes[ 'tempo-420' ][ 'width' ] ) )
				$image .= esc_url( $m_420[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-420' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-small' ] ) && isset( $sizes[ 'tempo-315' ][ 'width' ] ) )
				$image .= esc_url( $m_315[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-315' ][ 'width' ] ) . 'w';

			$image .= '" sizes="(max-width: 480px) 200vw, (max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';

		}

		// 3 Columns
		else if( $cols == 3 ) {
			$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );
			$m_420 		= wp_get_attachment_image_src( $id , 'tempo-420' );
			$m_315 		= wp_get_attachment_image_src( $id , 'tempo-315' );

			$image .= '<img src="' . esc_url( $m_small[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" srcset="';

			if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
				$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
				$image .= esc_url( $m_315[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-420' ] ) && isset( $sizes[ 'tempo-420' ][ 'width' ] ) )
				$image .= esc_url( $m_420[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-420' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-315' ] ) && isset( $sizes[ 'tempo-315' ][ 'width' ] ) )
				$image .= esc_url( $m_315[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-315' ][ 'width' ] ) . 'w';

			$image .= '" sizes="(max-width: 480px) 333vw, (max-width: 767px) 150vw, (max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';
		}

		else if( $cols == 4 ) {
			$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );
			$m_420 		= wp_get_attachment_image_src( $id , 'tempo-420' );
			$m_315 		= wp_get_attachment_image_src( $id , 'tempo-315' );

			$image .= '<img src="' . esc_url( $m_small[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '" srcset="';

			if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
				$image .= esc_url( $m_420[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
				$image .= esc_url( $m_315[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-420' ] ) && isset( $sizes[ 'tempo-420' ][ 'width' ] ) )
				$image .= esc_url( $m_420[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-420' ][ 'width' ] ) . 'w,';

			if( isset( $sizes[ 'tempo-315' ] ) && isset( $sizes[ 'tempo-315' ][ 'width' ] ) )
				$image .= esc_url( $m_315[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-315' ][ 'width' ] ) . 'w';

			$image .= '" sizes="(max-width: 480px) 400vw, (max-width: 767px) 200vw, (max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';
		}

		else{
			$m_315 = wp_get_attachment_image_src( $id , 'tempo-315' );

			$image .= '<img src="' . esc_url( $m_315[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $id ) ) . '"/>';
		}

		return $image;
	}

	add_filter( 'tempo_gallery_image', 'gardener_gallery_image', 10, 3 );
?>
